@font-face {
    font-family: "GoogleSans-Medium";
    src: url("assets/font/GoogleSans-Medium.ttf") format("truetype");
}

@font-face {
    font-family: "GoogleSans-Regular";
    src: url("assets/font/GoogleSans-Regular.ttf") format("truetype");
}

body {
    background: black;
    color: white;
    font-family: serif;
    font-family: "GoogleSans-Regular";
    font-size: 16px;
    width: 100%;
    height: 100%;
    padding: 0;
    margin: 0;
    touch-action: manipulation;
    overflow: hidden;
}

#alert {
    width: calc(100% - 24px);
    padding: 24px 0px;
    background: #2a00ff;
    color: white;
    position: fixed;
    bottom: 24px;
    left: 12px;
    border-radius: 6px;
    text-align: center;
    display: none;
}

#alert.visible {
    display: block;
}

#all-container {
    margin: 0 auto;
    overflow: hidden;
}

#title-container {
    margin-top: max(36px, 5%);
    text-align: center;
    color: white;
}

#title-container #title {
    font-size: 18px;
}

#export-canvas-container {
    display: none;
    position: absolute;
    z-index: 3;
    margin-top: 12px;
}

#combiner-container {
    text-align: center;
    margin-top: 36px;
}

#combiner-canvas-container {
    display: inline-block
}

#selector {
    text-align: center;
    margin-top: 12px;
}

#selector-canvases .selector-canvas-container {
    margin-bottom: 4px;
    display: inline-block;
    padding: 16px;
    border-radius: 12px;
    border: 2px dotted rgba(255, 255, 255, 0.4);
}

#selector-canvases .selector-canvas-container:first-child {
    margin-right: 24px;
}

#selector-canvases .selector-canvas-active {
    border-color: rgba(255, 255, 255, 1);
}

#selector-keyboard {
    margin-top: 12px;
    padding: 12px 2px;
    background: #414141;
    display: block;
}

#selector-keyboard.invisible {
    display: none;
}

#selector-keyboard div {
    display: inline-block;
    padding: 3px;
}

div#close-button {
    padding: 3px;
}

div#close-button .button-text {
    display: none;
}

#close-button .button-img {
    padding: 0px;
    margin: 0px;
}

div#close-button img {
    width: 34px;
    margin: 0px;
}

#selector-keyboard div img {
    width: 34px;
}

#button-container {
    margin-top: 48px;
    text-align: center;
    width: 100%;
}

#button-container .multi-buttons-wrapper {
    display: inline-block;
}

#button-container div.button {
    cursor: pointer;
    display: inline-block;
    font-size: 12px;
    text-transform: capitalize;
    margin: 0px 12px;
    -webkit-tap-highlight-color: rgba(255, 255, 255, 0);
}

#button-container div.button img {
    width: 24px;
    margin-bottom: 4px;
}

#share-button {
    margin-left: 12px;
}

#loader {
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, .95);
    text-align: center;
    vertical-align: middle;
    position: absolute;
    z-index: 2;
}

#loader div {
    width: 300px;
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%, -50%);
    font-size: 18px;
}

@media only screen and (min-width: 400px) {
    body {
        overflow-y: scroll;
    }
    #alert {
        width: 400px;
        left: calc(50% - 200px)
    }
    #all-container {
        width: 400px;
        margin: 0 auto;
        overflow-y: scroll;
    }
    #title-container {
        width: 280px;
        margin: 0 auto;
        margin-top: 96px;
    }
    #title-container #title {
        font-size: 32px;
        line-height: 30px;
    }
    #combiner-container {
        margin-top: 12px;
    }
    #button-container {
        margin-top: 24px;
    }
    #selector-keyboard {
        height: calc(40px * 5);
        overflow-y: scroll;
        position: fixed;
        bottom: 0px;
        width: 400px;
    }
}

@media only screen and (max-width: 400px) {
    #selector-keyboard {
        /* Gives us a floating keyboard on bottom */
        height: calc(40px * 7);
        overflow-y: scroll;
        position: fixed;
        bottom: 0px;
    }
}